Bug 470944 - Latest F8 Kernel 2.6.26.6-49.fc8 breaks network
Latest F8 Kernel 2.6.26.6-49.fc8 breaks network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 19:06 EST by Nicola
Modified: 2009-01-09 01:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:49:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicola 2008-11-10 19:06:34 EST
Description of problem:
When updated to 2.6.26.6-49.fc8 started network problems 

Version-Release number of selected component (if applicable):
Kernel 2.6.26.6-49.fc8

How reproducible:
Always. NOT dependent on e100 cards, like suggested in Bug 469036

Steps to Reproduce:
1.Boot machine
2. Use network
3. Wait for kernel trace
  
Actual results:
Nov 10 00:08:54 sputnik kernel: ------------[ cut here ]------------
Nov 10 00:08:54 sputnik kernel: WARNING: at net/sched/sch_generic.c:222 dev_watc
hdog+0xb6/0x116() (Tainted: P         )
Nov 10 00:08:54 sputnik kernel: Modules linked in: vfat fat nls_utf8 vboxdrv(U) ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state nf_conntrack ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge bnep rfcomm l2cap bluetooth autofs4 w83627ehf hwmon_vid hwmon eeprom fuse sunrpc ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi cpufreq_ondemand acpi_cpufreq freq_table dm_mirror dm_log dm_mod ipv6 snd_emu10k1_synth snd_emux_synth snd_seq_virmidi snd_seq_midi_emul sr_mod cdrom snd_emu10k1 snd_rawmidi snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm pata_acpi snd_seq_device r8169 nvidia(P)(U) snd_timer snd_page_alloc snd_util_mem floppy firewire_ohci firewire_core snd_hwdep snd usb_storage i2c_i801 pcspkr emu10k1_gp pata_jmicron serio_raw bay joydev gameport soundcore crc_itu_t iTCO_wdt ata_generic i2c_core iTCO_vendor_support sg ahci libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd 
Nov 10 00:08:54 sputnik kernel: ehci_hcd [last unloaded: kvm]
Nov 10 00:08:54 sputnik kernel: Pid: 10306, comm: firefox-bin Tainted: P          2.6.26.6-49.fc8 #1
Nov 10 00:08:54 sputnik kernel: 
Nov 10 00:08:54 sputnik kernel: Call Trace:
Nov 10 00:08:54 sputnik kernel:  <IRQ>  [<ffffffff8103652c>] warn_on_slowpath+0x60/0x8e
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8103fb2c>] ? __mod_timer+0xc1/0xd3
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8104670b>] ? queue_delayed_work_on+0xc3/0xd6
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8122b872>] ? dev_watchdog+0x0/0x116
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8104675a>] ? queue_delayed_work+0x21/0x23
Nov 10 00:08:54 sputnik kernel:  [<ffffffff81046775>] ? schedule_delayed_work+0x19/0x1b
Nov 10 00:08:54 sputnik kernel:  [<ffffffffa093d0d2>] ? :r8169:rtl8169_schedule_work+0x23/0x25
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8122b928>] dev_watchdog+0xb6/0x116
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8103f3f7>] run_timer_softirq+0x173/0x1ef
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8103b31f>] __do_softirq+0x5e/0xd5
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8100d52c>] call_softirq+0x1c/0x28
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8100ed5e>] do_softirq+0x44/0x8b
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8103b280>] irq_exit+0x3f/0x80
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8101b0fe>] smp_apic_timer_interrupt+0x8d/0xa6
Nov 10 00:08:54 sputnik kernel:  [<ffffffff8100cf52>] apic_timer_interrupt+0x72/0x80
Nov 10 00:08:54 sputnik kernel:  <EOI> 
Nov 10 00:08:54 sputnik kernel: ---[ end trace 4bb7df58c506958c ]---


Expected results:
To be working like before. Kernel 2.6.26.5-28 is fine

Additional info:
Two identical network cards:
Realtek Semiconductor Co., Ltd. RTL-8110SC/8169SC
Not related to intel one.
Comment 1 Bug Zapper 2008-11-26 06:18:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:49:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.